Get Observations metadata¶
My cool observations
Operation ID: describeObsCollection
Authorization: None
Query parameters¶
The optional f parameter indicates the output format which the server shall provide as part of the response document. The default format is GeoJSON. Allowed values: `json`, `html`, `jsonld`. Default: `json`.
The optional lang parameter instructs the server return a response in a certain language, if supported. If the language is not among the available values, the Accept-Language header language will be used if it is supported. If the header is missing, the default server language is used. Note that providers may only support a single language (or often no language at all), that can be different from the server language. Language strings can be written in a complex (e.g. "fr-CA,fr;q=0.9,en-US;q=0.8,en;q=0.7"), simple (e.g. "de") or locale-like (e.g. "de-CH" or "fr_BE") fashion. Allowed values: `en-US`, `fr-CA`. Default: `en-US`.
Responses¶
Information about the feature collection with id collectionId.
The response contains a link to the items in the collection (path /collections/{collectionId}/items, link relation items) as well as key information about the collection. This information includes:
- A local identifier for the collection that is unique for the dataset;
- A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
- An optional title and description for the collection;
- An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
- An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
Content type: application/json
Schema: ogcapi-features-1__collection
Properties
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | identifier of the collection used, for example, in URIs |
title | string | No | human readable title of the collection |
description | string | No | a description of the features in the collection |
links | array of ogcapi-features-1__link | Yes | — |
extent | ogcapi-features-1__extent | No | — |
itemType | string | No | indicator about the type of the items in the collection (the default value is 'feature'). Default: feature. |
crs | array of string | No | the list of coordinate reference systems supported by the service Default: ['http://www.opengis.net/def/crs/OGC/1.3/CRS84']. |
Example
{
"id": "buildings",
"title": "Buildings",
"description": "Buildings in the city of Bonn.",
"extent": {
"spatial": {
"bbox": [
[
7.01,
50.63,
7.22,
50.78
]
]
},
"temporal": {
"interval": [
[
"2010-02-15T12:34:56Z",
null
]
]
}
},
"links": [
{
"href": "http://data.example.org/collections/buildings/items",
"rel": "items",
"type": "application/geo+json",
"title": "Buildings"
},
{
"href": "http://data.example.org/collections/buildings/items.html",
"rel": "items",
"type": "text/html",
"title": "Buildings"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/",
"rel": "license",
"type": "text/html",
"title": "CC0-1.0"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/rdf",
"rel": "license",
"type": "application/rdf+xml",
"title": "CC0-1.0"
}
]
}
Content type: text/html
Schema: string
Example
A query parameter has an invalid value.
Content type: application/json
Schema: ogcapi-features-1__exception
Properties
| Property | Type | Required | Description |
|---|---|---|---|
code | string | Yes | — |
description | string | No | — |
Example
Content type: text/html
Schema: string
Example
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.